%define anolis_release 1

# OCaml has a bytecode backend that works on anything with a C
# compiler, and a native code backend available on a subset of
# architectures.  A further subset of architectures support native
# dynamic linking.
#
# This package contains a file needed to define some RPM macros
# which are required before any SRPM is built, and a helper python
# script that executes common OCaml package tasks.

Name:           ocaml-srpm-macros
Version:        7
Release:        %{anolis_release}%{?dist}
Summary:        OCaml architecture macros
License:        GPLv2+
BuildArch:      noarch
Source0:        macros.ocaml-srpm
Source1:        ocaml_files.py

%description
This package contains macros needed by RPM in order to build
SRPMS.  It does not pull in any other OCaml dependencies.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{rpmmacrodir}
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{rpmmacrodir}/macros.ocaml-srpm

mkdir -p $RPM_BUILD_ROOT%{_rpmconfigdir}/anolis
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_rpmconfigdir}/anolis

%files
%{rpmmacrodir}/macros.ocaml-srpm
%{_rpmconfigdir}/anolis/ocaml_files.py

%changelog
* Fri Mar 17 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 7-1
- Init package
